Users
List Team Users
Lists company users (team admins and members), including pending invitations.
Default status filter: active,pending. Other values: expired, undeliverable, or all.
For status: active, id is the profile UUID. For invitations, id is the invitation UUID.
GET
https://api.folkyn.com
/
api
/
v1
/
users
List Team Users
curl --request GET \
--url https://api.folkyn.com/api/v1/users \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.folkyn.com/api/v1/users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.folkyn.com/api/v1/users"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.folkyn.com/api/v1/users"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "jsmith@example.com",
"tags": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
],
"teams": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"depth": 2,
"path": "<string>",
"parent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"first_name": "<string>",
"last_name": "<string>",
"job_title": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
],
"total": 123,
"current_page": 123,
"per_page": 123
}
}{
"error": {
"code": 401,
"message": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"details": {
"field": "name",
"requiredScope": "tags:write",
"retryAfterSeconds": 1
}
}
}{
"error": {
"code": 401,
"message": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"details": {
"field": "name",
"requiredScope": "tags:write",
"retryAfterSeconds": 1
}
}
}{
"error": {
"code": 401,
"message": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"details": {
"field": "name",
"requiredScope": "tags:write",
"retryAfterSeconds": 1
}
}
}{
"error": {
"code": 401,
"message": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"details": {
"field": "name",
"requiredScope": "tags:write",
"retryAfterSeconds": 1
}
}
}{
"error": {
"code": 401,
"message": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"details": {
"field": "name",
"requiredScope": "tags:write",
"retryAfterSeconds": 1
}
}
}Authorizations
bearerAuthApiKeyHeader
Use Authorization: Bearer <your_api_key>
Query Parameters
Required range:
x >= 1Required range:
1 <= x <= 100Comma-separated segments — active, pending, expired, undeliverable, or all. Default active,pending.
Example:
"active,pending"
Filter by team role — team-admin or team-member. Omit for all roles.
Available options:
team-admin, team-member Filter by exact email address (case-insensitive). Matches both active members and invitations.
Example:
"jane.doe@acme.com"
Response
Success
Show child attributes
Show child attributes
⌘I
List Team Users
curl --request GET \
--url https://api.folkyn.com/api/v1/users \
--header 'Authorization: Bearer <token>'const options = {method: 'GET', headers: {Authorization: 'Bearer <token>'}};
fetch('https://api.folkyn.com/api/v1/users', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));import requests
url = "https://api.folkyn.com/api/v1/users"
headers = {"Authorization": "Bearer <token>"}
response = requests.get(url, headers=headers)
print(response.text)package main
import (
"fmt"
"net/http"
"io"
)
func main() {
url := "https://api.folkyn.com/api/v1/users"
req, _ := http.NewRequest("GET", url, nil)
req.Header.Add("Authorization", "Bearer <token>")
res, _ := http.DefaultClient.Do(req)
defer res.Body.Close()
body, _ := io.ReadAll(res.Body)
fmt.Println(string(body))
}{
"data": {
"items": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"email": "jsmith@example.com",
"tags": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>"
}
],
"teams": [
{
"id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"name": "<string>",
"depth": 2,
"path": "<string>",
"parent_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a"
}
],
"first_name": "<string>",
"last_name": "<string>",
"job_title": "<string>",
"created_at": "2023-11-07T05:31:56Z"
}
],
"total": 123,
"current_page": 123,
"per_page": 123
}
}{
"error": {
"code": 401,
"message": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"details": {
"field": "name",
"requiredScope": "tags:write",
"retryAfterSeconds": 1
}
}
}{
"error": {
"code": 401,
"message": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"details": {
"field": "name",
"requiredScope": "tags:write",
"retryAfterSeconds": 1
}
}
}{
"error": {
"code": 401,
"message": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"details": {
"field": "name",
"requiredScope": "tags:write",
"retryAfterSeconds": 1
}
}
}{
"error": {
"code": 401,
"message": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"details": {
"field": "name",
"requiredScope": "tags:write",
"retryAfterSeconds": 1
}
}
}{
"error": {
"code": 401,
"message": "<string>",
"request_id": "3c90c3cc-0d44-4b50-8888-8dd25736052a",
"details": {
"field": "name",
"requiredScope": "tags:write",
"retryAfterSeconds": 1
}
}
}